### Virtual Method

# Fwupd Codec add_string

#### Declaration [src]

    void
    add_string (
      FwupdCodec* self,
      guint idt,
      GString* str
    )

#### Description [src]

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

Available since: | 2.0.0

#### Parameters

`idt` | `guint`
| The indent.
`str` | `GString`
| A string to append to.
| The data is owned by the caller of the function.